Detail calendars

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/calendar

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • externalId string
    • isDefault boolean
    • baseCalendarId integer(int64)
    • worktimeList array[object]
      Hide worktimeList attributes Show worktimeList attributes object
      • id integer(int64)
      • dayOfWeek integer(int32)
      • hours number(double)
      • isHoliday boolean
      • specificDate string(date)
      • timeStart1 string(time-local)
      • timeEnd1 string(time-local)
      • timeStart2 string(time-local)
      • timeEnd2 string(time-local)
      • timeStart3 string(time-local)
      • timeEnd3 string(time-local)
      • timeStart4 string(time-local)
      • timeEnd4 string(time-local)
      • timeStart5 string(time-local)
      • timeEnd5 string(time-local)
    • name string
    • id integer(int64)
    • type string
    • projectId integer(int64)
    • hoursPerDay number(double)
    • hoursPerYear number(double)
    • hoursPerWeek number(double)
    • hoursPerMonth number(double)
GET /project/{projectId}/calendar
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/calendar' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "externalId": "string",
    "isDefault": true,
    "baseCalendarId": 42,
    "worktimeList": [
      {
        "id": 42,
        "dayOfWeek": 42,
        "hours": 42.0,
        "isHoliday": true,
        "specificDate": "2026-05-04",
        "timeStart1": "string",
        "timeEnd1": "string",
        "timeStart2": "string",
        "timeEnd2": "string",
        "timeStart3": "string",
        "timeEnd3": "string",
        "timeStart4": "string",
        "timeEnd4": "string",
        "timeStart5": "string",
        "timeEnd5": "string"
      }
    ],
    "name": "string",
    "id": 42,
    "type": "string",
    "projectId": 42,
    "hoursPerDay": 42.0,
    "hoursPerYear": 42.0,
    "hoursPerWeek": 42.0,
    "hoursPerMonth": 42.0
  }
]